### Class

# Phosh FolderInfo

#### Description [src]

    final class Phosh.FolderInfo : GObject.Object
      implements Gio.AppInfo {
      /* No available fields */
    }

An object that represents a list of applications belonging to a folder.

#### Ancestors

- GObject

#### Implements

- GAppInfo

#### Constructors

###### phosh_folder_info_new_from_folder_path

No description available.

#### Instance methods

###### phosh_folder_info_add_app_info

No description available.

###### phosh_folder_info_contains

No description available.

###### phosh_folder_info_get_app_infos

Get the list model of the folder info.

###### phosh_folder_info_get_name

No description available.

###### phosh_folder_info_refilter

No description available.

###### phosh_folder_info_remove_app_info

No description available.

###### phosh_folder_info_set_name

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GAppInfo (25)

Please see GAppInfo for a full list of methods.

#### Properties

###### Phosh.FolderInfo:app-infos

A list model of (filtered) app-infos belonging to the folder.

###### Phosh.FolderInfo:name

Name of the folder.

###### Phosh.FolderInfo:path

Relative GSettings path to folder.

#### Signals

###### Phosh.FolderInfo::apps-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshFolderInfoClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.